Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+1 vote
261 views
in Q2A Core by

When I try to upgrade to latest version I have received the following error:

Running query: LOCK TABLES qa_users WRITE, qa_userlogins WRITE, qa_userprofile WRITE, qa_userfields WRITE, qa_cookies WRITE, qa_categories WRITE, qa_pages WRITE, qa_widgets WRITE, qa_posts WRITE, qa_blobs WRITE, qa_words WRITE, qa_titlewords WRITE, qa_contentwords WRITE, qa_tagwords WRITE, qa_posttags WRITE, qa_uservotes WRITE, qa_userpoints WRITE, qa_userlimits WRITE, qa_iplimits WRITE, qa_options WRITE, qa_cache WRITE ...

5 upgrade step/s remaining...

Running query: ALTER TABLE qa_uservotes ADD COLUMN flag TINYINT NOT NULL ...


Warning: Cannot modify header information - headers already sent by (output started at /home/txxxx/public_html/qa-include/qa-db-install.php:1019) in /home/xxxx/public_html/qa-include/qa-install.php on line 60


Question2Answer was unable to perform the installation query below. Please check the user in the config file has CREATE and ALTER permissions:

ALTER TABLE qa_uservotes ADD COLUMN flag TINYINT NOT NULL

Error 1060: Duplicate column name 'flag'

 

1 Answer

0 votes
by

I'm not sure how this happened (were you using a nightly build?) but you should be able to fix it by manually dropping the flag column on the qa_uservotes table (e.g. using phpMyAdmin), then trying again.

...